#include "multi_ipnc_demo.h"
#include <QtGui/QApplication>
#include "nss_toolkit.h"
#include "demo_util.h"

multi_ipnc_demo* demo = NULL;

void CALLBACK message_callback(int event_type,NsstEventCommonParam* event_param)
{
    demo->SlotOnSDKCommonEvent(event_type,event_param);
}

int main(int argc, char *argv[])
{
    QApplication a(argc, argv);
    QApplication::setOrganizationName("ipnc");
    QApplication::setOrganizationDomain("ipnc_demo");
    NSSTStartup();
    NSSTSetUserCallback(message_callback,NULL);
    demo = new multi_ipnc_demo();
    multi_ipnc_demo::Init(demo);
    demo->show();
    a.exec();

    NSSTCleanup();
    delete demo;
    return 0;
}
